Package be.ehealth.businessconnector.ehbox.v3.service.impl

# Class PublicationEh2EboxServiceImpl

java.lang.Object
be.ehealth.businessconnector.ehbox.v3.service.impl.PublicationEh2EboxServiceImpl

All Implemented Interfaces:
  `PublicationService`, `ConfigurationModuleBootstrap.ModuleBootstrapHook`

public class PublicationEh2EboxServiceImpl extends Object implements PublicationService, ConfigurationModuleBootstrap.ModuleBootstrapHook
Implementation of `PublicationService`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PublicationEh2EboxServiceImpl()`
  default constructor, needed for ModuleBootstrapHook
  `PublicationEh2EboxServiceImpl(SessionValidator sessionValidator, EhboxReplyValidator replyValidator)`
  Instantiates a new publication service impl.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `bootstrap()`
  `final SendMessageResponse`
  `sendMessage(SAMLToken token, SendMessageRequest request)`
  Send message.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PublicationEh2EboxServiceImpl

    public PublicationEh2EboxServiceImpl(SessionValidator sessionValidator, EhboxReplyValidator replyValidator)
    Instantiates a new publication service impl.
    Parameters:
      `sessionValidator` - the session validator
      `replyValidator` - the reply validator

  - ### PublicationEh2EboxServiceImpl

    public PublicationEh2EboxServiceImpl()
    default constructor, needed for ModuleBootstrapHook

- ## Method Details

  - ### sendMessage

    public final SendMessageResponse sendMessage(SAMLToken token, SendMessageRequest request) throws ConnectorException
    Send message.
    Specified by:
      `sendMessage` in interface `PublicationService`
    Parameters:
      `token` - the token
      `request` - : sendMessageRequest the send message request
    Returns:
      the send message response
    Throws:
      `ConnectorException`

  - ### bootstrap

    public void bootstrap()
    Specified by:
      `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`